. ${TOP}/src/db/schema/util/set_db_localized.sh
_ERROR_LOGS=$TOP/logs/errfile.log

EXISTS=1;
NOTEXISTS=0;
count=0;

if [ -d $TOP/tmp ]; then
  TMPDIREXISTS=$EXISTS
else
  TMPDIREXISTS=$NOTEXISTS
fi


GET_COMPANIES=`. ${DB_DIR}/util/run_db_cmd.sh --file=$DB_CMN_SCRIPTS/get_cmpcode.sql`
COMPANIES="${GET_COMPANIES}"

for CMP_CODE_COL in $COMPANIES; 
		do
            CMP_CODE=`${ECHO} ${CMP_CODE_COL} | ${GREP} 'cmpcode%' | ${CUT} -f2 -d "%"`         
         	if [ "$CMP_CODE" != "" ]; then
            	${ECHO} "$CMP_CODE"
            	. $TOP/bin/exportCompanyAsZip.sh --company_code="$CMP_CODE" --script_path=$TOP/bin/exportACGRolesScript.wpcs 
            	$JAVA_RT com.ibm.ccd.docstore.util.DocDownloader -companycode="$CMP_CODE" -subtree=archives/ -xmlfile=$TOP/tmp/abc.xml -rootlocalpath=$TOP/tmp/
            	`mv $TOP/tmp/__archives__Export.zip $TOP/tmp/__archives__cmp"$count".zip `
		      count=`expr $count + 1`
			`rm -f $TOP/tmp/abc.xml `
     		fi
            
            done

if [ ${CCD_DB} = "oracle" ]; then
	. ${DB_DIR}/util/run_db_cmd.sh --file=$DB_SCRIPTS/alter_occurrence_id-oracle.sql
fi	
     
. ${DB_DIR}/util/run_db_cmd.sh --file=$DB_SCRIPTS/add_date_column.sql

. ${DB_DIR}/util/run_db_cmd.sh --file=$DB_CMN_SCRIPTS/recreateOAC_OBT.sql

. ${DB_DIR}/util/run_db_cmd.sh --file=$DB_SCRIPTS/update_seq_table.sql

. ${DB_DIR}/util/run_db_cmd.sh --file=$DB_SCRIPTS/tutl_lck_lock_indexes.sql

count=0;
for CMP_CODE_COL in $COMPANIES; 
		do
            CMP_CODE=`${ECHO} ${CMP_CODE_COL} | ${GREP} 'cmpcode%' | ${CUT} -f2 -d "%"`         
         	if [ "$CMP_CODE" != "" ]; then
            	${ECHO} "$CMP_CODE"
            	. $TOP/bin/importCompanyFromZip.sh --company_code="$CMP_CODE" --zipfile_path=$TOP/tmp/__archives__cmp"$count".zip
		      if [ $TMPDIREXISTS -eq $EXISTS ]; then
		     		`rm $TOP/tmp/__archives__cmp"$count".zip `
		   	fi		
		   	count=`expr $count + 1`
            fi
            
            done

if [ $TMPDIREXISTS -eq $NOTEXISTS ]; then
   `rm -rf $TOP/tmp/ `
fi

